PRINTF(1L)

NAME
printf - format and print data

SYNOPSIS
printf format [argument...]
printf {--help,--version}

DESCRIPTION
This manual page documents the GNU version of printf. printf prints the format string, interpreting `%' directives and `\' escapes in the same way as the C `printf' function. The format argument is re-used as many times as necessary to convert all of the given arguments.

printf interprets `\0ooo' as a an octal number (`ooo' is 0 to 3 digits) specifying a character to print, and `\xhhh' as a hexadecimal number (`hhh' is 1 to 3 digits) specifying a character to print. It has an additional escape, `\c', which causes printf to produce no further output, and an additional directive, `%b', which prints its argument string with `\' escapes interpreted the way they are in the format string.

  OPTIONS
When GNU printf is invoked with exactly one argument, the following options are recognized:

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.